# Introduction

### API wallets

API wallets are developer-owned or frontend-generated wallets authorized by the main trading account to sign trade transactions.&#x20;

* Always pass the **original account-holding wallet address** in the relevant info API—not the API wallet address.
* An API wallet is required to execute all trade transactions. You can generate one [here](https://polynomial.fi/en/mainnet/portfolio/api).

### Backend API key

All backend endpoints are publicly accessible. However, to prevent hitting rate limits quickly, requests **must** include the `x-api-key` header.\
You can request an API key by creating a [support ticket ](https://discord.com/channels/843170059006640179/986580658015076353)on our Discord.

### Example repo

All integration examples are implemented in TypeScript and maintained in this [example repository](https://github.com/Polynomial-Protocol/polynomial-starter-kit).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.polynomial.fi/developer-documentation/api/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
